Package io.milvus.param.index

## Class GetIndexBuildProgressParam.Builder

- java.lang.Object
- - io.milvus.param.index.GetIndexBuildProgressParam.Builder

- Enclosing class:
    GetIndexBuildProgressParam

      public static final class GetIndexBuildProgressParam.Builder
      extends java.lang.Object

  Builder for `GetIndexBuildProgressParam` class.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `GetIndexBuildProgressParam` | `build()` | Verifies parameters and creates a new `GetIndexBuildProgressParam` instance.
    `GetIndexBuildProgressParam.Builder` | `withCollectionName​(@NonNull java.lang.String collectionName)` | Sets the collection name.
    `GetIndexBuildProgressParam.Builder` | `withIndexName​(@NonNull java.lang.String indexName)` | The name of target index.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### withCollectionName

          public GetIndexBuildProgressParam.Builder withCollectionName​(@NonNull
                                                                       @NonNull java.lang.String collectionName)

      Sets the collection name. Collection name cannot be empty or null.
      Parameters:
        `collectionName` - collection name
      Returns:
        `Builder`

    - #### withIndexName

          public GetIndexBuildProgressParam.Builder withIndexName​(@NonNull
                                                                  @NonNull java.lang.String indexName)

      The name of target index. If no index name is specified, the default index name("_default_idx") is used.
      Parameters:
        `indexName` - index name
      Returns:
        `Builder`

    - #### build

          public GetIndexBuildProgressParam build()
                                           throws ParamException

      Verifies parameters and creates a new `GetIndexBuildProgressParam` instance.
      Returns:
        `GetIndexBuildProgressParam`
      Throws:
        `ParamException`